# List work history entries Returns all work history entries associated with the specified provider. Endpoint: GET /providers/{providerId}/info/workHistory Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `providerId` (string, required) ## Response 200 fields (application/json): - `lastUpdatedAt` (string) The date and time when the object was created or modified. - `id` (string) Unique identifier associated with this work history entry - `workHistoryType` (string) Gap identifies a time period when this provider was not employed Enum: "Employment", "Gap" - `name` (string) Name or employer - `jobTitle` (string) Job title while working for this employer - `address` (object) - `address.type` (string) The type of address. Enum: "Unspecified", "Home", "Work" - `address.state` (string) Abbreviation of the state in which the city is located. This property is required when the country field is set to US. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `address.zipCode` (string) The postal code associated with the address. This property is required when the country field is set to US. - `address.city` (string, required) The city in which the address is located. - `address.addressLine1` (string, required) The street address. - `address.addressLine2` (string) The secondary address information. - `address.countryId` (string) The ID of the country from the countries list. - `phone` (string) Employer phone number - `startDate` (string) Timestamp when this provider started working for the employer - `endDate` (string) Timestamp when this provider finished working for the employer - `isCurrentEmployer` (boolean) Identifies if the provider is currently employed by the employer - `departureReason` (string) Reason provider left this employer - `gapExplanation` (string) If work history type is set to Gap provider must explain reason for the gap in employment ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields